[arch-commits] Commit in unison/repos/extra-x86_64 (6 files)

Antonio Rojas arojas at gemini.archlinux.org
Fri Mar 18 20:20:49 UTC 2022


    Date: Friday, March 18, 2022 @ 20:20:48
  Author: arojas
Revision: 439973

archrelease: copy trunk to extra-x86_64

Added:
  unison/repos/extra-x86_64/PKGBUILD
    (from rev 439972, unison/trunk/PKGBUILD)
  unison/repos/extra-x86_64/desktop
    (from rev 439972, unison/trunk/desktop)
  unison/repos/extra-x86_64/large.patch
    (from rev 439972, unison/trunk/large.patch)
Deleted:
  unison/repos/extra-x86_64/PKGBUILD
  unison/repos/extra-x86_64/desktop
  unison/repos/extra-x86_64/large.patch

-------------+
 PKGBUILD    |  107 ++++++++++++++++++++++++++++------------------------------
 desktop     |   22 +++++------
 large.patch |   98 ++++++++++++++++++++++++++---------------------------
 3 files changed, 113 insertions(+), 114 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2022-03-18 20:20:26 UTC (rev 439972)
+++ PKGBUILD	2022-03-18 20:20:48 UTC (rev 439973)
@@ -1,54 +0,0 @@
-#Maintainer: Gaetan Bisson <bisson at archlinux.org>
-#Contributor: Tobias Powalowski <tpowa at archlinux.org>
-
-pkgname=unison
-pkgver=2.51.5
-pkgrel=1
-pkgdesc='File-synchronization tool'
-#url='https://github.com/bcpierce00/unison/'
-url='https://www.cis.upenn.edu/~bcpierce/unison/'
-arch=('x86_64')
-license=('GPL2')
-optdepends=('gtk2: graphical interface')
-makedepends=('ocaml>=4.11.0' 'emacs' 'lablgtk2')
-source=("https://github.com/bcpierce00/unison/archive/v${pkgver}.tar.gz"
-        'large.patch'
-        'desktop')
-sha512sums=('4a31df4d043d2b7552438f9fc2056098b9a35cd1cae1a037083cb56d91ec6fec0c3164de73914ff46cb8821f78c1594f48bf0334a94d9d706cd82ce3a6b70440'
-            'e2f7a5e6e832ee9c694f36e399178652456d2047b22cba86603982cd6f6caf54e520fc87a8bde1940b2da46102cf3aa89f3e062c965efc77cd840b47e01b4d2f'
-            '74526b1f583f49b3e1c68b72c9ab3d5875796b8b371c1388cf3b5b25aef8a0304023e9bb960b2ff9aec2eb989f712e99b2c049b8075529074f62ef9ffd6c1cdd')
-
-options=('!makeflags')
-
-prepare() {
-	cd "${srcdir}/${pkgname}-${pkgver}"
-	sed 's/region_of_string/region_of_bytes/' -i src/uigtk2.ml
-	patch -p0 -i ../large.patch
-}
-
-build() {
-	cd "${srcdir}/${pkgname}-${pkgver}"
-	for ui in gtk2 text; do
-		cp -a . build || true
-		pushd build
-		export CFLAGS=
-		make all UISTYLE=$ui DEBUGGING=false THREADS=true
-		mv src/unison src/unison-$ui
-		mv src/unison-* ..
-		popd
-		rm -fr build
-	done
-}
-
-package() {
-	cd "${srcdir}/${pkgname}-${pkgver}"
-	install -d "${pkgdir}"/usr/bin
-	install -m755 unison-* "${pkgdir}"/usr/bin
-	ln -s unison-text "${pkgdir}"/usr/bin/unison
-
-	install -Dm644 ../desktop "${pkgdir}/usr/share/applications/${pkgname}.desktop"
-	install -Dm644 icons/U.svg "${pkgdir}/usr/share/icons/hicolor/scalable/apps/${pkgname}.svg"
-	for i in 16 24 32 48 256; do
-		install -Dm644 icons/U.${i}x${i}x16m.png "${pkgdir}/usr/share/icons/hicolor/${i}x${i}/apps/${pkgname}.png"
-	done
-}

Copied: unison/repos/extra-x86_64/PKGBUILD (from rev 439972, unison/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2022-03-18 20:20:48 UTC (rev 439973)
@@ -0,0 +1,53 @@
+#Maintainer: Gaetan Bisson <bisson at archlinux.org>
+#Contributor: Tobias Powalowski <tpowa at archlinux.org>
+
+pkgname=unison
+pkgver=2.52.0
+pkgrel=1
+pkgdesc='File-synchronization tool'
+#url='https://github.com/bcpierce00/unison/'
+url='https://www.cis.upenn.edu/~bcpierce/unison/'
+arch=('x86_64')
+license=('GPL2')
+optdepends=('gtk2: graphical interface')
+makedepends=('ocaml>=4.11.0' 'emacs' 'lablgtk2')
+source=("https://github.com/bcpierce00/unison/archive/v${pkgver}.tar.gz"
+        'large.patch'
+        'desktop')
+sha512sums=('24cfb43b40a05f85164c43e8744216142db4cd74d9d09ba7178f25f794b0dcce252597fa1eb49a4133e63d891c8d23fd7472669cf9f52777bc6aa86b0a50e6f5'
+            'e2f7a5e6e832ee9c694f36e399178652456d2047b22cba86603982cd6f6caf54e520fc87a8bde1940b2da46102cf3aa89f3e062c965efc77cd840b47e01b4d2f'
+            '74526b1f583f49b3e1c68b72c9ab3d5875796b8b371c1388cf3b5b25aef8a0304023e9bb960b2ff9aec2eb989f712e99b2c049b8075529074f62ef9ffd6c1cdd')
+options=('!makeflags')
+
+prepare() {
+	cd "${srcdir}/${pkgname}-${pkgver}"
+	sed 's/region_of_string/region_of_bytes/' -i src/uigtk2.ml
+	patch -p0 -i ../large.patch
+}
+
+build() {
+	cd "${srcdir}/${pkgname}-${pkgver}"
+	for ui in gtk2 text; do
+		cp -a . build || true
+		pushd build
+		export CFLAGS=
+		make all UISTYLE=$ui DEBUGGING=false THREADS=true
+		mv src/unison src/unison-$ui
+		mv src/unison-* ..
+		popd
+		rm -fr build
+	done
+}
+
+package() {
+	cd "${srcdir}/${pkgname}-${pkgver}"
+	install -d "${pkgdir}"/usr/bin
+	install -m755 unison-* "${pkgdir}"/usr/bin
+	ln -s unison-text "${pkgdir}"/usr/bin/unison
+
+	install -Dm644 ../desktop "${pkgdir}/usr/share/applications/${pkgname}.desktop"
+	install -Dm644 icons/U.svg "${pkgdir}/usr/share/icons/hicolor/scalable/apps/${pkgname}.svg"
+	for i in 16 24 32 48 256; do
+		install -Dm644 icons/U.${i}x${i}x16m.png "${pkgdir}/usr/share/icons/hicolor/${i}x${i}/apps/${pkgname}.png"
+	done
+}

Deleted: desktop
===================================================================
--- desktop	2022-03-18 20:20:26 UTC (rev 439972)
+++ desktop	2022-03-18 20:20:48 UTC (rev 439973)
@@ -1,11 +0,0 @@
-[Desktop Entry]
-Encoding=UTF-8
-Name=unison
-Comment=File synchronisation tool for X11
-TryExec=unison-gtk2
-Exec=unison-gtk2
-Terminal=false
-Type=Application
-Categories=GTK;Application;Network;
-Icon=unison
-StartupNotify=true

Copied: unison/repos/extra-x86_64/desktop (from rev 439972, unison/trunk/desktop)
===================================================================
--- desktop	                        (rev 0)
+++ desktop	2022-03-18 20:20:48 UTC (rev 439973)
@@ -0,0 +1,11 @@
+[Desktop Entry]
+Encoding=UTF-8
+Name=unison
+Comment=File synchronisation tool for X11
+TryExec=unison-gtk2
+Exec=unison-gtk2
+Terminal=false
+Type=Application
+Categories=GTK;Application;Network;
+Icon=unison
+StartupNotify=true

Deleted: large.patch
===================================================================
--- large.patch	2022-03-18 20:20:26 UTC (rev 439972)
+++ large.patch	2022-03-18 20:20:48 UTC (rev 439973)
@@ -1,49 +0,0 @@
-diff -Nrua /usr/ports/net/unison/patches/patch-bytearray_stubs_c ./patches/patch-bytearray_stubs_c
---- /usr/ports/net/unison/patches/patch-bytearray_stubs_c	Thu Jan  1 01:00:00 1970
-+++ ./patches/patch-bytearray_stubs_c	Tue Jan 17 08:44:39 2017
-@@ -0,0 +1,45 @@
-+Fix rare SIGSEGV when transferring large replicas.
-+Fix a theoretical integer overflow. 
-+
-+Patches from here:
-+https://caml.inria.fr/mantis/view.php?id=7431#c17026
-+and here:
-+https://caml.inria.fr/mantis/view.php?id=7431#c16962
-+
-+Related issue reports:
-+https://github.com/bcpierce00/unison/issues/48
-+https://caml.inria.fr/mantis/view.php?id=7431
-+https://bugzilla.redhat.com/show_bug.cgi?id=1401759
-+
-+Thanks to Alex Markley and OCaml developers
-+--- bytearray_stubs.c.orig	Tue Jan 17 08:41:00 2017
-++++ bytearray_stubs.c	Tue Jan 17 08:41:21 2017
-+@@ -5,6 +5,7 @@
-+ 
-+ #include "caml/intext.h"
-+ #include "caml/bigarray.h"
-++#include "caml/memory.h"
-+ 
-+ CAMLprim value ml_marshal_to_bigarray(value v, value flags)
-+ {
-+@@ -21,15 +22,18 @@ CAMLprim value ml_marshal_to_bigarray(value v, value f
-+ 
-+ CAMLprim value ml_unmarshal_from_bigarray(value b, value ofs)
-+ {
-++  CAMLparam1(b); /* Holds [b] live until unmarshalling completes. */
-++  value result;
-+   struct caml_bigarray *b_arr = Bigarray_val(b);
-+-  return input_value_from_block (Array_data (b_arr, ofs),
-++  result = input_value_from_block (Array_data (b_arr, ofs),
-+                                  b_arr->dim[0] - Long_val(ofs));
-++  CAMLreturn(result);
-+ }
-+ 
-+ CAMLprim value ml_blit_string_to_bigarray
-+ (value s, value i, value a, value j, value l)
-+ {
-+-  char *src = String_val(s) + Int_val(i);
-++  char *src = String_val(s) + Long_val(i);
-+   char *dest = Array_data(Bigarray_val(a), j);
-+   memcpy(dest, src, Long_val(l));
-+   return Val_unit;

Copied: unison/repos/extra-x86_64/large.patch (from rev 439972, unison/trunk/large.patch)
===================================================================
--- large.patch	                        (rev 0)
+++ large.patch	2022-03-18 20:20:48 UTC (rev 439973)
@@ -0,0 +1,49 @@
+diff -Nrua /usr/ports/net/unison/patches/patch-bytearray_stubs_c ./patches/patch-bytearray_stubs_c
+--- /usr/ports/net/unison/patches/patch-bytearray_stubs_c	Thu Jan  1 01:00:00 1970
++++ ./patches/patch-bytearray_stubs_c	Tue Jan 17 08:44:39 2017
+@@ -0,0 +1,45 @@
++Fix rare SIGSEGV when transferring large replicas.
++Fix a theoretical integer overflow. 
++
++Patches from here:
++https://caml.inria.fr/mantis/view.php?id=7431#c17026
++and here:
++https://caml.inria.fr/mantis/view.php?id=7431#c16962
++
++Related issue reports:
++https://github.com/bcpierce00/unison/issues/48
++https://caml.inria.fr/mantis/view.php?id=7431
++https://bugzilla.redhat.com/show_bug.cgi?id=1401759
++
++Thanks to Alex Markley and OCaml developers
++--- bytearray_stubs.c.orig	Tue Jan 17 08:41:00 2017
+++++ bytearray_stubs.c	Tue Jan 17 08:41:21 2017
++@@ -5,6 +5,7 @@
++ 
++ #include "caml/intext.h"
++ #include "caml/bigarray.h"
+++#include "caml/memory.h"
++ 
++ CAMLprim value ml_marshal_to_bigarray(value v, value flags)
++ {
++@@ -21,15 +22,18 @@ CAMLprim value ml_marshal_to_bigarray(value v, value f
++ 
++ CAMLprim value ml_unmarshal_from_bigarray(value b, value ofs)
++ {
+++  CAMLparam1(b); /* Holds [b] live until unmarshalling completes. */
+++  value result;
++   struct caml_bigarray *b_arr = Bigarray_val(b);
++-  return input_value_from_block (Array_data (b_arr, ofs),
+++  result = input_value_from_block (Array_data (b_arr, ofs),
++                                  b_arr->dim[0] - Long_val(ofs));
+++  CAMLreturn(result);
++ }
++ 
++ CAMLprim value ml_blit_string_to_bigarray
++ (value s, value i, value a, value j, value l)
++ {
++-  char *src = String_val(s) + Int_val(i);
+++  char *src = String_val(s) + Long_val(i);
++   char *dest = Array_data(Bigarray_val(a), j);
++   memcpy(dest, src, Long_val(l));
++   return Val_unit;



More information about the arch-commits mailing list